import { jsx } from "react/jsx-runtime";
import { TokenBAX as TokenBAX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBAX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "BAX", "data-name": "TokenBAX", ...props, children: /* @__PURE__ */ jsx(TokenBAX$1, { variant }) });
  }
);
TokenBAX.displayName = "TokenBAX";
Object.assign(TokenBAX, { isGdsIcon: true });
export {
  TokenBAX
};
